src/gui/cs_gui_mobile_mesh.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_gui_mobile_mesh.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_gui_mobile_mesh.h:

Go to the source code of this file.

## Functions
void | uialin (int *const iale, int *const nalinf, int *const nalimx, double *const epalim, int *const iortvm)
void | uivima (const cs_int_t *const ncel, double *const viscmx, double *const viscmy, double *const viscmz, const double *const xyzcen, double *const dtref, double *const ttcabs, const int *const ntcabs)
void | uialcl (const int *const nfabor, const int *const nozppm, const int *const ibfixe, const int *const igliss, const int *const ivimpo, int *const ialtyb, const int *const ipnfbr, const int *const nodfbr, int *const impale, cs_real_3_t *depale, double *const dtref, double *const ttcabs, const int *const ntcabs, const int *const iuma, const int *const ivma, const int *const iwma, double *const rcodcl)
void | uistr1 (const int *const nfabor, int *const idfstr, double *aexxst, double *bexxst, double *cfopre, int *ihistr, double *xstr0, double *xstreq, double *vstr0)
void | uistr2 (double *const xmstru, double *const xcstru, double *const xkstru, double *const forstr, double *const dtref, double *const ttcabs, int *const ntcabs)
void | cs_gui_get_ale_viscosity_type (int *type)

## Function Documentation

void cs_gui_get_ale_viscosity_type | ( | int * | type | ) |

void uialcl | ( | const int *const | nfabor,
|  | const int *const | nozppm,
|  | const int *const | ibfixe,
|  | const int *const | igliss,
|  | const int *const | ivimpo,
|  | int *const | ialtyb,
|  | const int *const | ipnfbr,
|  | const int *const | nodfbr,
|  | int *const | impale,
|  | cs_real_3_t * | depale,
|  | double *const | dtref,
|  | double *const | ttcabs,
|  | const int *const | ntcabs,
|  | const int *const | iuma,
|  | const int *const | ivma,
|  | const int *const | iwma,
|  | double *const | rcodcl
| ) |  |

void uialin | ( | int *const | iale,
|  | int *const | nalinf,
|  | int *const | nalimx,
|  | double *const | epalim,
|  | int *const | iortvm
| ) |  |

void uistr1 | ( | const int *const | nfabor,
|  | int *const | idfstr,
|  | double * | aexxst,
|  | double * | bexxst,
|  | double * | cfopre,
|  | int * | ihistr,
|  | double * | xstr0,
|  | double * | xstreq,
|  | double * | vstr0
| ) |  |

void uistr2 | ( | double *const | xmstru,
|  | double *const | xcstru,
|  | double *const | xkstru,
|  | double *const | forstr,
|  | double *const | dtref,
|  | double *const | ttcabs,
|  | int *const | ntcabs
| ) |  |

void uivima | ( | const cs_int_t *const | ncel,
|  | double *const | viscmx,
|  | double *const | viscmy,
|  | double *const | viscmz,
|  | const double *const | xyzcen,
|  | double *const | dtref,
|  | double *const | ttcabs,
|  | const int *const | ntcabs
| ) |  |